Search documentation of wx

# View Source wxScreenDC (wx v2.4.2)

Functions for wxScreenDC class

A `wxScreenDC` can be used to paint on the screen. This should normally be constructed as a temporary stack object; don't store a `wxScreenDC` object.

When using multiple monitors, `wxScreenDC` corresponds to the entire virtual screen composed of all of them. Notice that coordinates on `wxScreenDC` can be negative in this case, see `wxDisplay:getGeometry/1` for more.

See: `wxDC`, `wxMemoryDC`, `wxPaintDC`, `wxClientDC`, `wxWindowDC`

This class is derived (and can use functions) from: `wxDC`

wxWidgets docs: wxScreenDC

# Summary

## Types

wxScreenDC()

## Functions

destroy(This)

Destroys the object.

new()

Constructor.

# Types

Link to this type

# wxScreenDC()

View Source

    -type wxScreenDC() :: wx:wx_object().

# Functions

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxScreenDC()) -> ok.

Destroys the object.

Link to this function

# new()

View Source

    -spec new() -> wxScreenDC().

Constructor.